Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ChangeComplexRelationRequest.Builder

Object
Builder

Enclosing class:
  `ChangeComplexRelationRequest`

public static final class ChangeComplexRelationRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeComplexRelationRequest.Builder`
  `attributes(List<ComplexRelationAttributeRequest> attributeRequests)`
  Deprecated.
  This method will be removed in the future.
  `ChangeComplexRelationRequest.Builder`
  `attributes(Map<UUID,List<AttributeValue>> attributes)`
  Sets the map of attributes that the complex relation should contain.
  `ChangeComplexRelationRequest.Builder`
  `attributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)`
  The new attributes that the new complex relation should contain, designated by type public ID.
  `ChangeComplexRelationRequest`
  `build()`
  `ChangeComplexRelationRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeComplexRelationRequest.Builder`
  `id(UUID id)`
  Required. The ID of the complex relation to be changed.
  `ChangeComplexRelationRequest.Builder`
  `legs(List<ComplexRelationLegRequest> legs)`
  The new list of legs that the changed complex relation should contain.
  `ChangeComplexRelationRequest.Builder`
  `partialAttributesUpdate(boolean value)`
  Do not remove existing attributes of types that are not included in the update request.
  `ChangeComplexRelationRequest.Builder`
  `relations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)`
  The new relations that the new complex relation should contain.
  `ChangeComplexRelationRequest.Builder`
  `setAttribute(UUID attributeTypeId, String... values)`
  Sets attribute(s) with type identified by given ID or name and provided value(s).
  `ChangeComplexRelationRequest.Builder`
  `setAttribute(UUID attributeTypeId, List<String>... values)`
  Sets attribute(s) with type identified by given ID or name and provided value(s).
  `ChangeComplexRelationRequest.Builder`
  `setRelation(UUID relationTypeId, RelationTypeIdWithDirection.Direction direction, UUID... assetIds)`
  Sets relation(s) with type identified by given ID and provided direction towards related asset(s).
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### partialAttributesUpdate

    public ChangeComplexRelationRequest.Builder partialAttributesUpdate(boolean value)
    Do not remove existing attributes of types that are not included in the update request.

  - ### setRelation

    public ChangeComplexRelationRequest.Builder setRelation(UUID relationTypeId, RelationTypeIdWithDirection.Direction direction, UUID... assetIds)
    Sets relation(s) with type identified by given ID and provided direction towards related asset(s).
    Parameters:
      `relationTypeId` - the ID of the relation type
      `direction` - the direction of the relation(s)
      `assetIds` - the `id(s)` of the related asset(s)

  - ### attributes

    public ChangeComplexRelationRequest.Builder attributes(Map<UUID,List<AttributeValue>> attributes)
    Sets the map of attributes that the complex relation should contain.
    Parameters:
      `attributes` - the map of attributes that the complex relation should contain

  - ### setAttribute

    public ChangeComplexRelationRequest.Builder setAttribute(UUID attributeTypeId, String... values)
    Sets attribute(s) with type identified by given ID or name and provided value(s).
    Parameters:
      `attributeTypeId` - the attribute type ID
      `values` - value(s) that should be set for attribute type. Note that this method should be used with attributes that hold single value each

  - ### setAttribute

    public ChangeComplexRelationRequest.Builder setAttribute(UUID attributeTypeId, List<String>... values)
    Sets attribute(s) with type identified by given ID or name and provided value(s).
    Parameters:
      `attributeTypeId` - the attribute type ID
      `values` - value(s) that should be set for attribute type. Note that this method should be used with attributes that hold multiple values each

  - ### attributes

    @Deprecated public ChangeComplexRelationRequest.Builder attributes(List<ComplexRelationAttributeRequest> attributeRequests)
    Deprecated.
    This method will be removed in the future. Please, use `attributes(Map)`.
    Sets the attributes that the new complex relation should contain.
    Parameters:
      `attributeRequests` - the attributes that the new complex relation should contain

  - ### but

    @Deprecated public ChangeComplexRelationRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeComplexRelationRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeComplexRelationRequest.Builder id(UUID id)
    Required. The ID of the complex relation to be changed.
    Returns:
      `this`.

  - ### legs

    public ChangeComplexRelationRequest.Builder legs(List<ComplexRelationLegRequest> legs)
    The new list of legs that the changed complex relation should contain.
    Returns:
      `this`.

  - ### relations

    public ChangeComplexRelationRequest.Builder relations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)
    The new relations that the new complex relation should contain.
    Returns:
      `this`.

  - ### attributesForTypePublicId

    public ChangeComplexRelationRequest.Builder attributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)
    The new attributes that the new complex relation should contain, designated by type public ID.
    Returns:
      `this`.

  - ### build

    public ChangeComplexRelationRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`